# calculate global means of CN ratios for different runs 
# SR 13.1.2016

choose <- "all" # all takes all paths, single numbers only the specified path

#  1: historic 	landuse	trunk 	/p/projects/biodiversity/bloh/lpj_ref/output
#  2: historic 	PNV 	trunk 	/p/projects/biodiversity/bloh/lpj_ref/output_nat
#  3: historic 	landuse	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/nresp_13n/bench/output
#  4: historic 	unlimited N 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/nresp_13n/bench_unlimit/output
#  5: historic 	without fertilizer 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/nresp_13n/bench_nofert/output
#  6: historic 	PNV 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/nresp_13n/bench_nat/output
#  7: RCP85 	dyn climate 	trunk 	/p/projects/biodiversity/bloh/lpj_ref_rcp85/output
#  8: RCP85 	dyn climate, limited N 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/resp_13n/rcp85/output
#  9: RCP85 	dyn climate, unlimited N 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/resp_13n/rcp85_unlimit/output
# 10: RCP85 	const climate, limited N 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/resp_13n/rcp85_cc/output
# 11: RCP85 	const climate unlimited N 	nitrogen 	/p/projects/biodiversity/bloh/nitrogen/resp_13n/rcp85_cc_unlimit/output

library(ncdf4)
source("read_LPJmL_nc.R")
source("cn_functions.R")
oneplot <- TRUE
usefpc  <- TRUE
usebin  <- TRUE
#ident <- c("08","12","08cc","ww","rvar","rcon","ucon","wph","vol2","resp")[10]
#paths <- switch(ident,
#  "08"  = "nitrogen/rcp85/output_008/",
#  "12"  = "nitrogen/rcp85/output/",
#  "08cc"= "nitrogen/rcp85_cc/output_008/",
#  "ww"  = "nitrogen/output/",
#  "rvar"= "nitrogen/new_gp/output/",
#  "rcon"= "nitrogen/new_gp/output_noresp/",
#  "ucon"= "nitrogen/new_gp_unlimit/output_noresp/",
#  "wph" = "nitrogen/ph/output/",
#  "vol2"= "nitrogen/vola2/output/",
#  "resp"= "nitrogen/resp_13/rcp85_unlimit/output/")

path <- "/p/projects/biodiversity/bloh/"
allpath <- c(#"h_lu_t_on"  = paste0(path,"lpj_ref/output/"),
##"h_pnv_t_on" = paste0(path,"lpj_ref/output_nat/"),
#"h_lu_n_ln"  = paste0(path,"nitrogen/resp_13n/bench/output/"),
#"h_lu_n_un"  = paste0(path,"nitrogen/resp_13n/bench_unlimit/output/"),
#"h_lu_n_of"  = paste0(path,"nitrogen/resp_13n/bench_nofert/output/"),
#"h_pnv_n_ln" = paste0(path,"nitrogen/resp_13n/bench_nat/output/"),
##"p_lu_t_on_dc_or" = paste0(path,"lpj_ref_rcp85/output/"),
#"p_lu_n_ln_dc_wr" = paste0(path,"nitrogen/resp_13n/rcp85/output/"),
#"p_lu_n_un_dc_wr" = paste0(path,"nitrogen/resp_13n/rcp85_unlimit/output/"),
#"p_lu_n_ln_cc_wr" = paste0(path,"nitrogen/resp_13n/rcp85_cc/output/"),
#"p_lu_n_un_cc_wr" = paste0(path,"nitrogen/resp_13n/rcp85_unlimit_cc/output/"))
#"h_lu_n_ln"= paste0(path,"nitrogen/paper/bench/output/"),
#"h_pnv_n_ln"= paste0(path,"nitrogen/paper/bench_nat/output/"),
#"h_lu_n_of"= paste0(path,"nitrogen/paper/bench_nofert/output/"),
#"p_lu_n_ln_dc"= paste0(path,"nitrogen/paper/rcp85/output/"),
#"p_lu_n_ln_cc"= paste0(path,"nitrogen/paper/rcp85_cc/output/")
"h_newcrop"=paste0(path,"nitrogen/paper/bench_newcrop/output/"),
"h_newcrop2"=paste0(path,"nitrogen/paper/bench_newcrop2/output/")
)

identifier <- names(allpath)

vars <- c("fire","lit","veg","soil")
filx <- c(".c")
#vpft <- c("leaf","veg")
#vnam1 <- c("pft_","pft_veg")
#vnam2 <- c("leaf","")
vpft <- c("leaf","veg","root","sapw","hawo","harvest")
vnam1 <- c("pft_","pft_veg","pft_","pft_","pft_","pft_harvest")
vnam2 <- c("leaf","","root","sapw","hawo",".pft")


y1 <- 1901
y2 <- 2099
#y2 <- 2009
ys <- rep(y1:y2,each=12)
ncell <- 67420

if (usefpc){
  lnam  <- "/p/projects/biodiversity/input_VERSION2/cft1700_2005_irrigation_systems_64bands.bin"
  refyear <- 1700
  luread <- c(1901,2005)
  nyear <- diff(luread)+1
  nf <- file(lnam,"rb")
  seek(nf,where=43+(ncell*64*2*(luread[1]-refyear)),origin="start")
  cft64 <- readBin(nf,integer(),size=2,n=ncell*64*nyear)
  close(nf)
  dim(cft64)<- c(64,ncell,nyear)
  cft64 <- 0.001*cft64
  cftfrac <- cft64[1:32,,]
  cftfrac[17:32,,] <- cftfrac[17:32,,] + cft64[33:48,,] + cft64[49:64,,]
  rm(cft64)
  gc()
  gnam  <- "/p/projects/biodiversity/input_VERSION2/grid.bin"
  nf <- file(gnam,"rb")
  seek(nf,where=43,origin="start")
  grid <- readBin(nf,integer(),size=2,n=ncell*2)
  close(nf)
  grid <- 0.01*grid
  grid <- matrix(grid,ncol=2,byrow=T)

  alon <- sort(unique(grid[,1]))
  alat <- sort(unique(grid[,2]))
  cftmat <- array(NA,dim=c(dim(cftfrac)[1],length(alon),length(alat),dim(cftfrac)[3]))
  for (n in 1:nrow(cftfrac)){
    fit <- c(match(grid[n,1],alon),match(grid[n,2],alat))
    if (all(!is.na(fit))) cftmat[,fit[1],fit[2],] <- cftfrac[,n,]
  }
}

if (usebin){
pftnames <- c(
    "Tropical broadleaved evergreen tree",   "Tropical broadleaved raingreen tree",
    "Temperate needleleaved evergreen tree", "Temperate broadleaved evergreen tree",
    "Temperate broadleaved summergreen tree","Boreal needleleaved evergreen tree",
    "Boreal broadleaved summergreen tree",   "Boreal needleleaved summergreen tree",
    "C3 perennial grass",                    "C4 perennial grass")
cftnames <- c(
    "Temperate cereals","Rice","Maize","Tropical cereals","Pulses","Temperate roots",
    "Tropical roots","Oil crops sunflower","Oil crops soybean","Oil crops groundnut",
    "Oil crops rapeseed","Sugarcane","others","managed grassland","Bioenergy grass",
    "Bioenergy tree")
allnames <- c(pftnames,paste(rep(c("Rainfed","Irrigated"),each=length(cftnames)),cftnames))
}

if (all(is.numeric(choose))) {
  series <- choose
} else series <- 1:length(identifier)

for (m in series){
  ident <- identifier[m]
  paths   <- allpath[[m]]
  print(paths)
  print(ident)
  if (substr(ident,1,1)=="h") y2 <- 2009 else y2 <- 2099

  res_ts <- cnr_ts <- NULL
  for (v in 1:length(vpft)){
    if (usebin){
      if (vpft[v] == "harvest") cnnam <- c("","n") else cnnam <- c("c","n")
      pfiles <- paste0(vnam1[v],cnnam,vnam2[v],".bin")
      print(pfiles)
      aa <- array(NA,dim=c(y2-y1+1,length(pftnames),3))
      lp <- length(pftnames)+2*length(cftnames)
      if (vpft[v] %in% c("sapw","hawo")) lp <- 10
      if (vpft[v] == "harvest") {
        lp <- 2*16
        nurpnv <- F
      } else nurpnv <- T
      aa <- mach_ts_bin(paths,pfiles,y1=y1,y2=y2,lp=lp,usefrac=usefpc,kenn=paste0(vpft[v],"_",ident),pnv=nurpnv)
      zz <- data.frame(aa[,,3])
      if (nurpnv) names(zz) <- allnames[1:lp] else 
        names(zz) <- paste(rep(c("Rainfed","Irrigated"),each=length(cftnames)),cftnames)
      cnr_ts <- c(cnr_ts,list(aa))
    } else {
      pfiles <- paste0(vnam1[v],c("c","n"),vnam2[v],".nc")
      print(pfiles)
      nf <- nc_open(paste0(paths,pfiles[1]))
      pftnames <- ncvar_get(nf,varid=names(nf$var)[1])
      nc_close(nf)
      zz <- data.frame(matrix(NA,nrow=y2-y1+1,ncol=length(pftnames)))
      names(zz) <- pftnames
      for (i in 1:length(pftnames)){
        print(i)
        zz[,i] <- mach_ts(paths,pfiles,n=i,usefrac=usefpc)
      }

    }
    res_ts <- c(res_ts,list(zz))
  }
  names(res_ts) <- vpft
  save(res_ts,file=paste0("results/res_ts_nc_fpc_",ident,".RData"))

  if (usebin){
    names(cnr_ts) <- vpft
    save(cnr_ts,file=paste0("results/cnr_ts_nc_fpc_",ident,".RData"))
  }

  ## plot now
  sets <- list(natveg=c(1:10),rfcrop=c(11:22),ircrop=c(27:38),pasture=c(24,40))

  for (v in vpft){
    pdf(paste0("plot/all_nc_",v,"_fpc_",ident,".pdf"))
    par(las=1,lwd=2)
    lp <- 1:length(sets)
    if (v %in% c("sapw","hawo")) lp <- 1
    if (substr(ident,3,5) == "pnv") lp <- 1
    if (v == "harvest") lp <- 2:length(sets)
    if (v == "harvest") versatz <- 10 else versatz <- 0
    for (m in lp){
      matplot(y1:y2,res_ts[[v]][,sets[[m]]-versatz],type="l",lty=rep(1:2,each=8),
        col=rep(1:8,2),main=names(sets)[m],xlab="",ylab="CN ratio")
      legend("topleft",allnames[sets[[m]]],lty=rep(1:2,each=8),col=rep(1:8,2),lwd=2,
        bty="n",cex=0.9)
    } 
    dev.off()
  }
}


