# compare results from analyse_n_global.R
# SR 7.1.2016

oneplot <- TRUE
resnam <- "res_ts_"
kl <- c("08","12")
kf <- "v1"

y1 <- 1901
y2 <- 2099
ys <- rep(y1:y2,each=12)

ll <- length(kl)
res <- NULL
for (n in 1:length(kl)){
  load(paste0(resnam,kl[n],".RData"))
  res <- c(res,list(res_ts))
}
names(res) <- kl
vars <- names(res[[1]])

### plots
if (oneplot) {
  pdf(paste0("allplots_allkl_",1,".pdf"))
  par(las=1,lwd=2,lty=1)
}
for (v in vars){
  # ratio
  if (!oneplot) {
    pdf(paste0(v,"_",kf,".pdf"))
    par(las=1,lwd=2)
  }
  pp <- NULL
  for (n in 1:ll) pp <- cbind(pp,res[[n]][[v]][,1]/res[[n]][[v]][,2])

  matplot(y1:y2,pp,type="l",ylab="N limited / nonlimited",xlab="",lty=1,col=1:ll,
    main=paste(v,kf))
  legend("left",kl,lty=1,lwd=2,col=1:ll,bty="n")
  if (!oneplot) dev.off()
  # timeseries
  pp <- NULL
  for (n in 1:ll) pp <- cbind(pp,res[[n]][[v]])
  if (!oneplot) {
    pdf(paste0(v,"_series_",kf,".pdf"))
    par(las=1,lwd=2)
  }
  matplot(y1:y2,pp,type="l",lty=rep(1:ll,each=2),ylab="",xlab="",col=1:2,
    main=paste(v,kf))
  legend("left",paste(rep(c("N limited","nonlimited"),ll),rep(kl,each=2)),lty=rep(1:ll,each=2),
    lwd=2,col=1:2,bty="n")
  if (!oneplot) dev.off()
}

if (oneplot) dev.off()


