  rm(list=ls(all=T))
  
  path <- "/p/projects/macmit/users/cmueller/nitrogen/pix/"
  path2 <- "/p/projects/macmit/users/cmueller/nitrogen/trund_no_n/pix/"
  
  read.daily <- function(fn,int=F){
    ff <- file(fn,"rb")
    fs <- file.info(fn)$size
    data <- if(int) readBin(ff,integer(),size=2,n=fs/2) else readBin(ff,double(),size=4,n=fs/4)
    close(ff)
    data
  }
  
  cleaf <- read.daily(paste0(path,"d_cleaf.bin"))
  cleaf2 <- read.daily(paste0(path2,"d_cleaf.bin"))
  nleaf <- read.daily(paste0(path,"d_nleaf.bin"))
  croot <- read.daily(paste0(path,"d_croot.bin"))
  croot2 <- read.daily(paste0(path2,"d_croot.bin"))
  nroot <- read.daily(paste0(path,"d_nroot.bin"))
  cso <- read.daily(paste0(path,"d_cso.bin"))
  cso2 <- read.daily(paste0(path2,"d_cso.bin"))
  nso <- read.daily(paste0(path,"d_nso.bin"))
  cpool <- read.daily(paste0(path,"d_cpool.bin"))
  cpool2 <- read.daily(paste0(path2,"d_cpool.bin"))
  npool <- read.daily(paste0(path,"d_npool.bin"))
  nuptake <- read.daily(paste0(path,"d_nuptake.bin"))
  leaching <- read.daily(paste0(path,"d_leaching.bin"))
  no3 <- read.daily(paste0(path,"d_no3.bin"))
  nh4 <- read.daily(paste0(path,"d_nh4.bin"))
  lai <- read.daily(paste0(path,"d_lai.bin"))-read.daily(paste0(path,"d_lainppdef.bin"))
  laidef <- read.daily(paste0(path,"d_lainppdef.bin"))
  lai2 <- read.daily(paste0(path2,"d_lai.bin"))-read.daily(paste0(path2,"d_lainppdef.bin"))
  laidef2 <- read.daily(paste0(path2,"d_lainppdef.bin"))
  nsoil_slow <- read.daily(paste0(path,"d_nsoil_slow.bin"))
  nsoil_fast <- read.daily(paste0(path,"d_nsoil_fast.bin"))
  vscal <- read.daily(paste0(path,"d_vscal.bin"))
  wscal <- read.daily(paste0(path,"d_wscal.bin"))
  wscal2 <- read.daily(paste0(path2,"d_wscal.bin"))
  w0 <- read.daily(paste0(path,"d_w0.bin"))
  w02 <- read.daily(paste0(path2,"d_w0.bin"))
  wevap <- read.daily(paste0(path,"d_wevap.bin"))
  wevap2 <- read.daily(paste0(path2,"d_wevap.bin"))
  w1 <- read.daily(paste0(path,"d_w1.bin"))
  w12 <- read.daily(paste0(path2,"d_w1.bin"))
  nlimit <- read.daily(paste0(path,"d_nlimit.bin"))
  prec <- read.daily(paste0(path,"d_prec.bin"))
  prec2 <- read.daily(paste0(path2,"d_prec.bin"))
  
  
  plotseq <- c(1:720)+365*100
  
  plot(1:720,lai[plotseq]*100,type="l",ylim=range(cleaf,nleaf,croot,nroot,cso,nso,cpool,npool,lai))
  lines(1:720,cleaf[plotseq],col=2)
  lines(1:720,nleaf[plotseq],col=2,lty=2)
  lines(1:720,cpool[plotseq],col=3)
  lines(1:720,npool[plotseq],col=3,lty=2)
  lines(1:720,cso[plotseq],col=4)
  lines(1:720,nso[plotseq],col=4,lty=2)
  lines(1:720,croot[plotseq],col=5)
  lines(1:720,nroot[plotseq],col=5,lty=2)
  legend("topleft",bty="n",col=c(1:5),lty=1,legend=c("lai*100","leaf","pool","so","root"))

  plot(1:720,wscal[plotseq],type="l",ylim=c(0,1.5))
  lines(1:720,wscal2[plotseq],lty=2)
  lines(1:720,w0[plotseq],col=2)
  lines(1:720,w02[plotseq],col=2,lty=2)
  lines(1:720,w1[plotseq],col=3)
  lines(1:720,w12[plotseq],col=3,lty=2)
  lines(1:720,prec[plotseq]/max(prec),col=4)
  lines(1:720,prec2[plotseq]/max(prec2),col=4,lty=2)
  lines(1:720,prec[plotseq]/prec2[plotseq],col=5)
  legend("topleft",bty="n",col=c(1:4),lty=1,legend=c("wscal","w0","w1","prec"))


  png(paste0(path2,"daily_maize_rainfed.png"),width=5*300,height=5*300,res=300,pointsize=12,type="cairo")
  plot(1:720,lai[plotseq]*100,type="l",ylim=range(cleaf,cleaf2,croot,croot2,cso,cso2,cpool,cpool2,lai*100,lai2,wscal*300))
  lines(1:720,lai2[plotseq]*100,lty=2)
  lines(1:720,laidef[plotseq]*100,col="goldenrod")
  lines(1:720,laidef2[plotseq]*100,col="goldenrod",lty=2)
  lines(1:720,cleaf[plotseq],col=2)
  lines(1:720,cleaf2[plotseq],col=2,lty=2)
  lines(1:720,cpool[plotseq],col=3)
  lines(1:720,cpool2[plotseq],col=3,lty=2)
  lines(1:720,cso[plotseq],col=4)
  lines(1:720,cso2[plotseq],col=4,lty=2)
  lines(1:720,croot[plotseq],col=5)
  lines(1:720,croot2[plotseq],col=5,lty=2)
  lines(1:720,wscal[plotseq]*300,col=7)
  lines(1:720,wscal2[plotseq]*300,col=7,lty=2)
  lines(1:720,vscal[plotseq]*300,col=8)
  legend("topleft",bty="n",col=c(1:5,7,8,"goldenrod"),lty=1,legend=c("lai*100","leaf","pool","so","root","wscal*300","vscal*300","laideficit"),cex=0.8)
  dev.off()

  #ra <- c(cleaf/nleaf,croot/nroot,cso/nso,cpool/npool,lai)
  #ra[!is.finite(ra)] <- NA
  plot(1:720,lai[plotseq],type="l",ylim=range(0,100,na.rm=T))
  lines(1:720,cleaf[plotseq]/nleaf[plotseq],col=2)
  lines(1:720,cpool[plotseq]/npool[plotseq],col=3)
  lines(1:720,cso[plotseq]/nso[plotseq],col=4)
  lines(1:720,croot[plotseq]/nroot[plotseq],col=5)
  lines(1:720,nuptake[plotseq]*100,col=7)
  lines(1:720,vscal[plotseq]*100,col="grey50")
  legend("topleft",bty="n",col=c(1:5,7,"grey50"),lty=1,legend=c("lai","leaf","pool","so","root","nuptake","vscal*100"))
  
  plot(1:720,vscal[plotseq],type="l",ylim=range(wscal,vscal,nlimit))
  lines(1:720,wscal[plotseq],col=2)
  lines(1:720,nlimit[plotseq],col=3)
  legend("topleft",bty="n",col=c(1:3),lty=1,legend=c("vscal","wscal","nlimit"))
  
  plot(1:720,no3[plotseq],type="l",ylim=range(no3,nh4,leaching,nuptake))
  lines(1:720,nh4[plotseq],col=2)
  lines(1:720,leaching[plotseq],col=3)
  lines(1:720,nuptake[plotseq],col=4)
  legend("topleft",bty="n",col=c(1:4),lty=1,legend=c("no3","nh4","leaching","nuptake"))


