rm(list=ls(all=T));gc()

#research questions####
#is the effect of tillage a function of environmental conditions?
## is the effect of tillage on yield a function of temp,nutrients and precip?--> what about other factors?
## is the effect of tillage on SOC a function of nutrients, precip, temp (and yield?)
## is the effect of tillage on NO3 a function of nutrients, precip, temp (NH3, N2O,n2?)

#stepwise regression####
#"method of fitting regression models in which the choice of predictiva variables is carrried out by an automatic procedure"
#start with all candidate variables, testing the deletion of each variable,until no further variables can be deleted without
# a statistically significant loss.

# check assumptions:
#1. are depended variables normally distributed? 
#2. assumption of linear relationship between the independent and dependent var.
#3. assumption of varience or errors is the same
#then: conduct the regression

###load libraries
library(lmtest)
library(nortest)
require(aqfig)


###general settings
#outpath <- "Z:/users/herzfeld/tillage_lpj/eval_global_rev4487_04cover/"
#outpath<-"/p/projects/macmit/users/herzfeld/tillage_lpj/eval_global_rev4487_04cover/"
outpath<- "/p/projects/macmit/users/herzfeld/tillage_lpj/eval_global_rev4487/"
#outpath<- "//clusterfs/macmit/users/herzfeld/tillage_lpj/eval_global_rev4487/"
#ausgabe <- "/p/projects/macmit/users/felutz/evaluation_r/stepwise_fert/"
ausgabe <- "/p/projects/macmit/users/cmueller/temp/"
#ausgabe<- "C:/Users/felutz/Documents/2. Second article"
#lpjinput<- "D:/tillage_lpj/input_VERSION2/"
lpjinput<- "/p/projects/biodiversity/input_VERSION2/"
#lpjinput<- "//clusterfs/biodiversity/input_VERSION2/"

# temp<- paste0(lpjinput,"cru_ts3.21.1901.2012.tmp.clm")
# prec<- paste0(lpjinput,"gpcc_v6_cruts3_21_precip_1901_2010.clm")

# rad<- paste0(lpjinput, "swdown_erainterim_1901-2011.clm")
# landuse<-paste0(lpjinput,"cft1700_2005_irrigation_systems_64bands.bin")

#independens

temp<- "cru_ts3.21.1901.2012.tmp.clm" # use if readinputmonthly
temp<- paste0(lpjinput, temp) #use if read clim
prec<- "gpcc_v6_cruts3_21_precip_1901_2010.clm" # use if readinputmonthly
prec<- paste0(lpjinput, prec)#use if read clim
fert<- "fertilizer_ggcmi.clm2"
fert<- paste0(lpjinput,fert)
rad<-  "swdown_erainterim_1901-2011.clm"
rad<- paste0(lpjinput, rad)
landuse<-"cft1700_2005_irrigation_systems_64bands.bin"
landuse<- paste0(lpjinput,landuse)

#dependent

n2o_denit<- "mn2o_denit"
n2o_nit<-"mn2o_nit"
n2<- "mn2_emis"
nh3<- "mn_volatilization"
output_no3<- "soilno3"
#radl<- "lwnet_erainterim_1901-2011.clm"
#rads<- "swdown_erainterim_1901-2011.clm"
cftfrac<- "cftfrac.bin"

#settings####

scens <- c("till_nores","till_res","notill_nores","notill_res")

dirnames <- array(dim=length(scens),dimnames=list(scens))
dirnames["till_nores"] <- "out_eval_till_nores"
dirnames["till_res"] <- "out_eval_till_res"
dirnames["notill_nores"] <- "out_eval_notill_nores"
dirnames["notill_res"] <- "out_eval_notill_res"


bnames_cft <- c("wheat","rice","maize","millet","pulses","sugarbeet","cassava","sunflower","soybeans","groundnuts","rapeseed","sugarcane","others","grasses","begrasses","betrees") #16 bands
bbnames_cft<- c(paste0(bnames_cft,"_rf"),paste0(bnames_cft,"_surf"),paste0(bnames_cft,"_sprink"), paste0(bnames_cft,"_drip")) #for the 64 bands 
bnames_cft <- c(paste0(bnames_cft,"_rf"),paste0(bnames_cft,"_ir")) #32 bands
nbands_cft <- length(bnames_cft)
bnames_pft <- c("TrBEG","TrBRG","TeNEG","TeBEG","TeBSG","BorNEG","BorBSG","BorNSG","C3_GRASS","C4_GRASS",bnames_cft)
nbands_pft <- length(bnames_pft)

plotcrops <- c("wheat_rf","maize_rf","pulses_rf","rapeseed_rf")
npc <- length(plotcrops)
plotcrops_names <- array(c("rainfed wheat","rainfed maize","rainfed pulses","rainfed rapeseed"),dimnames=list(plotcrops))


NCELL <- 67420
refyear <- 1901 #start of the run
syear <- 1991 #where do you want to start to read
eyear <- 2000
#eyear <- 1991
nyears <- length(syear:eyear)

###functions####


read_data_cft <- function(filename="")
{
  data.out <- array(dim=c(NCELL,npc,length(scens)),dimnames=list(NULL,plotcrops,scens))
  for(scen in scens)
  {
    f <- file(paste0(outpath,dirnames[scen],"/",filename),"rb")
    seek(f,where=NCELL*(syear-refyear)*nbands_cft*4,origin="start")
    dummy <- numeric(NCELL*nbands_cft)
    for(iy in 1:nyears) dummy <- dummy + readBin(f,double(),n=NCELL*nbands_cft,size=4)
    data.out[,,scen] <- array(dummy/nyears,dim=c(NCELL,nbands_cft),dimnames=list(NULL,bnames_cft))[,plotcrops]
    close(f);rm(f,dummy);gc()
  }
  data.out
}

read_data_pft <- function(filename="")
{
  data.out <- array(dim=c(NCELL,npc,length(scens)),dimnames=list(NULL,plotcrops,scens))
  for(scen in scens)
  {
    f <- file(paste0(outpath,dirnames[scen],"/",filename),"rb")
    seek(f,where=NCELL*(syear-refyear)*nbands_pft*4,origin="start")
    dummy <- numeric(NCELL*nbands_pft)
    for(iy in 1:nyears) dummy <- dummy + readBin(f,double(),n=NCELL*nbands_pft,size=4)
    data.out[,,scen] <- array(dummy/nyears,dim=c(NCELL,nbands_pft),dimnames=list(NULL,bnames_pft))[,plotcrops]
    close(f);rm(f,dummy);gc()
  }
  data.out
}

read_data_monthly <- function(filename="")
{
  data.out <- array(dim=c(NCELL,length(scens)),dimnames=list(NULL,scens))
  for(scen in scens)
  {
    f <- file(paste0(outpath,dirnames[scen],"/",filename),"rb")
    seek(f,where=NCELL*(syear-refyear)*12*4,origin="start")
    dummy <- numeric(NCELL*12)
    for(iy in 1:nyears) dummy <- dummy + readBin(f,double(),n=NCELL*12,size=4)
    data.out[,scen] <- apply(array(dummy/nyears,dim=c(NCELL,12)),1,sum)
    close(f);rm(f,dummy);gc()
  }
  data.out
}

read_data_annual <- function(filename="")
{
  data.out <- array(data=0,dim=c(NCELL,length(scens)),dimnames=list(NULL,scens))
  for(scen in scens)
  {
    f <- file(paste0(outpath,dirnames[scen],"/",filename),"rb")
    seek(f,where=NCELL*(syear-refyear)*4,origin="start")
    for(iy in 1:nyears) data.out[,scen] <- data.out[,scen] + readBin(f,double(),n=NCELL,size=4)
    close(f)
  }
  data.out/nyears
}# 

# read_input_monthly <- function(filename="",scenario=dirnames[2],opath=outpath,ncell=NCELL)
# {
#   data.out <- array(dim=c(NCELL,length(scenario)),dimnames=list(NULL,scenario))
#   for(scen in scenario)
#   {
#     f <- file(paste0(outpath,scen,"/",filename),"rb")
#     seek(f,where=(43+(NCELL*(syear-refyear)*12*2)),origin="start")
#     dummy <- numeric(NCELL*12) #creates a vector with ncell*12 zero's
#     #for all years, sum up dummy (zeroes) +  bin file of months within one year
#     for(iy in 1:nyears) dummy <- dummy + readBin(f,integer(),n=NCELL*12,size=2) #adds up monthly values over all years, per grid cell
#     data.out[,scen] <- apply(array(dummy/nyears,dim=c(NCELL,12)),1,sum) #1. monthly averages of all years. 2. sum up monthly average to get yearly value. 
#     close(f);rm(f,dummy);gc()
#   }
#   data.out
# }

# read_input_preci <- function(filename="",ncell=NCELL)
# {
#   data.out <- array(dim=c(NCELL))
#   f <- file(filename,"rb")
#   seek(f,where=(43+(NCELL*(syear-refyear)*12*2)),origin="start")
#     dummy <- numeric(NCELL*12) #creates a vector with ncell*12 zero's
#     #for all years, sum up dummy (zeroes) +  bin file of months within one year
#     for(iy in 1:nyears) dummy <- dummy + readBin(f,integer(),n=NCELL*12,size=2) #adds up monthly values over all years, per grid cell
#     data.out <- apply(array(dummy/nyears,dim=c(NCELL,12)),1,sum) #1. monthly averages of all years. 2. sum up monthly average to get yearly value. 
#     close(f);rm(f,dummy);gc()
#     data.out
# }

# read_input_radiation <- function(filename="",ncell=NCELL)
# {
#   data.out <- array(dim=c(NCELL))
#   f <- file(filename,"rb")
#   seek(f,where=(38+(NCELL*(syear-refyear)*12*2)),origin="start")
#   dummy <- numeric(NCELL*12)
#   for(iy in 1:nyears) dummy <- dummy + readBin(f,integer(),n=NCELL*12,size=2)
#   data.out<- apply(array(dummy/nyears,dim=c(NCELL,12)),1,sum) #needs to be checked
#   close(f);rm(f,dummy);gc()
#   data.out
# }

# read_input_temp <- function(filename="",ncell=NCELL, syear=1991, refyear=1901)
# {
#   data.out <- array(dim=c(NCELL))
#   f <- file(filename,"rb")
#   seek(f,where=(43+(NCELL*(syear-refyear)*12*2)),origin="start")
#   dummy <- numeric(NCELL*12)
#   for(iy in 1:nyears) dummy <- dummy + readBin(f,integer(),n=NCELL*12,size=2) #dummy: sum of montly temp over all years.
#   data.out<- apply(array(dummy/(nyears*12),dim=c(NCELL,12)),1,sum)#this needs to be checked.# we want: a yearly average per cell. so we need to divide by nyears and months.
#   close(f);rm(f,dummy);gc()
#   data.out/10 #scalar of 10 applied
# }

read_climate_monthly <- function(filename="", header.size=43, scaling=1, data.size=2, cols=12, startyr=syear, refyr=refyear, ncell=NCELL, years=nyears)
{
  data.out <- array(data=0,dim=c(ncell,cols))
  f <- file(filename,"rb")
  seek(f,where=header.size+ncell*(startyr-refyr)*data.size*cols,origin="start")
  for (iy in 1:years) {
    datayear <- matrix(readBin(f,integer(),n=ncell*cols,size=data.size), ncol=cols,byrow=T)
    data.out <- data.out + datayear
  }
  data.out <- rowSums(data.out)/cols
  close(f)
  data.out/scaling/years
}

read_data_annual_fertil <- function(filename="", header.size=43, data.size=2, bands=32, bnames_cfts=bnames_cft,ncell=NCELL)
{
  data.out <- array(data=0,dim=c(NCELL,length(bnames_cfts)),dimnames=list(NULL,bnames_cfts)) #create array with 32 crops.
  f <- file(paste0(filename),"rb")
  seek(f,where=header.size,origin="start") #only skip header, because we only have one year
  #for all bands, sum up dummy(zeroes) +binfile of all the crops
  data.out <- matrix(readBin(f,integer(),n=NCELL*bands,size=data.size),ncol=length(bnames_cfts),byrow=T)
  close(f);rm(f);gc()
  data.out/100
}#


read_data_landuse <- function(filename="", header.size=43, scaling=1000, startyr=2000, refyr=1700, cols=64, data.size=2)
{
  data.out <- array(data=0,dim=c(NCELL,cols)) #
  f <- file(filename,"rb")
  seek(f,where=header.size+NCELL*(startyr-refyr)*data.size*cols,origin="start")
  data.out <- matrix(readBin(f,integer(),n=NCELL*cols,size=data.size), ncol=cols,byrow=T)
  close(f)
  data.out/scaling
}

wrapperlm <- function(mod){
  test <- NULL
  n <- length(mod$residuals)
  # normal distribution of residuals: Shapiro-Wilk test 
  # test value < p_value => H0 of normal distribution is rejected, i.e. the data are likely not normally distributed; this is indicated by a value of 1
  p_value <- 0.1
  if (n > 5000){
    hist(mod$residuals, breaks=50,main="N too large, visual check")
    NV <- if (ad.test(mod$residuals)$p.value < p_value) 1 else 0
  } else
    NV <- if (shapiro.test(mod$residuals)$p.value < p_value) 1 else 0
  test <- c(test,SW=NV)
  
  p_value <- 0.05
  # homoskedasticity: Breusch-Pagan test
  # test value < p_value => H0 of homoskedasticity is rejected, i.e. the data are heteroskedatisc; this is indicated by a value of 1
  #pvals <- bptest(regression_formula, data=df_gc)$p.value
  pvals <- bptest(mod, data=mod$model)$p.value
  BP <- if (pvals < p_value) 1 else 0
  test <- c(test,BP=BP)
  
  # autocorrelation: Breusch-Godfrey Test
  # test value < p_value => H0 of no serial autocorrelation is rejected, i.e. the data are serially autocorrelated; this is indicated by a value of 1
  BG <- if (bgtest(mod)$p.value < p_value) 1 else 0
  test <- c(test,BG=BG)
  
  # missing quadratic variables, i.e. wrong functional form: RESET (= Regression Equation Specification Error Test)
  # this test evaluates whether a non-linear combination of the exogenous variables has an influence on Y
  # if there is one, the model should be reformulated; this is indicated by a value of 1
  RESET <- resettest(formula=mod, power = 2:3, type = c("fitted", "regressor", "princomp"), data = df_gc)
  pRESET <- if (RESET$p.value < p_value) 1 else 0 
  test <- c(test,pR=pRESET)
  
  test  
}

lmplots<-  function(filename="",var){
  pdf(file= paste0(ausgabe,filename,".pdf",sep=""))
  layout(matrix(1:4, ncol = 2))
  plot(var)
  legend("topright",legend=wrapperlm(var), title=filename,col=red)
  layout(1)
  dev.off()
}

histograms<- function(indep=dependent) #be aware that nam might have to be changed, depending on dependent or independent
{
  #nam=c("temperature","precipitation","radiation","fertilizer") #set names for the histograms
  nam=c("yield","soc","no3")
  pdf(file= paste0(ausgabe,"hist",".pdf", sep="" ))
  
  for (i in 1:length(indep)){ #loops over the objects (which are vectors), in the dataframe
    ind=indep[i]
    #screen(ind)
    hist(indep[,i],main=nam[i],breaks=60,plot=T) #create a histogram for all the objects of the dataframe. 
    #main should return the name of the object in the list. the name of the vector
  }
  close.screen(all=T)
  dev.off()
} #end of function

#some plotting####
plotplot<- function(dep, indep= r_dependent)
{
  nam=c("yield","soc","no3")
  pdf(file= paste0(ausgabe,"plot",".pdf", sep="" ))
  for (i in 1:length(indep)){ #loops over the objects (which are vectors), in the dataframe
    ind=indep[i]
    #screen(ind)
    par(mfrow=c(2,2))
    plot(indep[,i]~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu, ylab=nam[i]) #create a correlation for all the objects of the dataframe. 
    
    #main should return the name of the object in the list. the name of the vector
  }
  close.screen(all=T)
  dev.off()
} 

plot.density <- function(dep,indep){
  pdf(file=paste0(ausgabe,names(dep)[1],"_plot_density.pdf"))
  for(i in 1:length(dep)){
    par(mfrow=c(2,2))
    for(j in 1:length(indep)) {
      dat1 <- as.vector(dep[[i]])
      q1 <- quantile(dat1,probs=c(0.05,0.95),na.rm=T)
      dat1[dat1>q1[2]] <- NA
      dat1[dat1<q1[1]] <- NA
      dat2 <- as.vector(indep[[j]])
      q2 <- quantile(dat2,probs=c(0.05,0.95),na.rm=T)
      dat2[dat2>q2[2]] <- NA
      dat2[dat2<q2[1]] <- NA
      # can only handle finite values
      merge <- dat1*dat2
      dat1 <- dat1[is.finite(merge)]
      dat2 <- dat2[is.finite(merge)]
      screen(j)
      scatterplot.density(dat1,dat2,xlab=names(dep)[i],ylab=names(indep)[j])
    }
    close.screen(all=T)
  }
  dev.off()
  pdf(file=paste0(ausgabe,names(dep)[1],"_plot_maps.pdf"))
  for(i in 1:length(dep)){
    par(mfrow=c(2,2))
    mapi <- array(NA,dim=c(720,360,4))
    for(j in 1:length(indep)) {
      dat1 <- as.vector(dep[[i]])
      q1 <- quantile(dat1,probs=c(0.05,0.95),na.rm=T)
      dat1[dat1>q1[2]] <- NA
      dat1[dat1<q1[1]] <- NA
      dat2 <- as.vector(indep[[j]])
      q2 <- quantile(dat2,probs=c(0.05,0.95),na.rm=T)
      dat2[dat2>q2[2]] <- NA
      dat2[dat2<q2[1]] <- NA
      # can only handle finite values
      merge <- dat1*dat2
      cat(str(merge),str(dat1),str(dat2),"\n")
      dat1 <- dat1[is.finite(merge)]
      dat2 <- dat2[is.finite(merge)]
      ilon <- grid$ilon[is.finite(merge)]
      ilat <- grid$ilat[is.finite(merge)]
      #scatterplot.density(dat1,dat2,xlab=names(dep)[i],ylab=names(indep)[j])
      for(p in 1:length(ilon)){
        mapi[ilon[p],ilat[p],j] <- dat2[p]
      }
      screen(j)
      image.plot(mapi[,,j])
    }
    close.screen(all=T)
  }
  dev.off()
}

read.LPJmL.array.sum <- function(filename,fyear=refyear,sy=syear,eyear=(syear+nyears),nbands=12,npix=NCELL){
  data <- array(0,dim=c(npix,(eyear-syear+1),length(scens)),dimnames=list(NULL,NULL,scens))
  for(scen in scens)
  {
    ff <- file(paste0(outpath,dirnames[scen],"/",filename),"rb")
    seek(ff,where=((syear-fyear)*nbands)*4*npix,origin="start")
    for(y in sy:eyear){
      for(n in 1:nbands) data[,(y-sy+1),scen] <- data[,(y-sy+1),scen] + readBin(ff,double(),size=4,n=npix)
    }
    close(ff)
  }
  data
}


read.LPJmL.grid <- function(filename,npix,header,version=2,swap=F){
  ff <- file(filename,"rb")
  seek(ff,where=header,origin="start")
  if(version>2){
    if(swap){
      x <- readBin(ff,numeric(),size=4,n=npix*2,endian="swap")
    } else {
      x <- readBin(ff,numeric(),size=4,n=npix*2)
    }
  } else {
    if(swap){
      x <- readBin(ff,integer(),size=2,n=npix*2,endian="swap")/100
    } else {
      x <- readBin(ff,integer(),size=2,n=npix*2)/100
    }
  }
  lon <- x[(1:npix)*2-1]
  lat <- x[(1:npix)*2]
  # ilon/ilat are row and column numbers, starting at 179.75W and 89.75N as 1/1
  ilon <- as.integer((lon+180)/0.5 + 1.01)
  ilat <- as.integer((-lat+90)/0.5 + 1.01)
  area <- (111e3*0.5)*(111e3*0.5)*cos(lat/180*pi)/10000
  close(ff)
  data.frame(lon,lat,ilon,ilat,area)
}


#inputs####
#here you specifiy which inputs and crops should be chosen and compared to:

#masking out 0 cropland
landuse<- read_data_landuse(landuse) #num[1:67420, 1:64]

landuse_rf_maize <- landuse[,3] #extracting only rf_maize landuse
landuse_rf_maize[landuse_rf_maize==0]<-NA
landuse_rf_maize[landuse_rf_maize>0]<-1

#sum up the rows of the left over bands, leaving vector [1:67420].
landuse_onlycrops <- rowSums(landuse[,-c(rep(13:16,4)+rep(16*(0:3),each=4))]) #remove columns (bands) 13-16, 29,32, 45-48, 61-64 and leave 48 bands
landuse_onlycrops[landuse_onlycrops==0]<-NA #cells with (a bit of)landuse = 1 (scaling up) others are NA
landuse_onlycrops[landuse_onlycrops>0]<-1

# adding up all irrigation types to one
landuse32 <- landuse[,1:32]
landuse32[,17:32] <- landuse32[,17:32] + landuse[,33:48] + landuse[,49:64]

grid <- read.LPJmL.grid(paste0(lpjinput,"grid.bin"),NCELL,43)

#for the inputs, we use the [,1]: we copied the 4 inputs to all scenarios to avoid
#changing the function (sorry, quick and dirty). so here we chose the 1st scenario, but the inputs are the 
#same for all scenarios of course.

#temperature<- read_input_temp(temp) #average temp over all months and years.
temperature<- read_climate_monthly(temp, header = 43,scaling = 10) 
#temperature<- temperature[landuse>0]
#temperature_lu <- temperature*landuse_onlycrops
temperature_lu <- temperature*landuse_rf_maize
temperature_allcrops <- temperature*landuse_onlycrops

#radiation <- read_input_radiation(rad)
radiation <- read_climate_monthly(rad,header = 38,scaling = 1)
#radiation<- radiation[,1]
#radiation <- radiation[landuse>0]
#radiation_lu <- radiation*landuse_onlycrops
radiation_lu <- radiation*landuse_rf_maize
radiation_allcrops <- radiation * landuse_onlycrops

#precipitation<- read_input_preci(prec)
precipitation <- read_climate_monthly(prec, header = 43, scaling = 1)
#precipitation<- precipitation[landuse>0]
#precipitation_lu <- precipitation*landuse_onlycrops 
precipitation_lu <- precipitation*landuse_rf_maize
precipitation_allcrops <- precipitation*landuse_onlycrops
#be aware; of the 32 crops.
fertilizer <- read_data_annual_fertil(fert)
#picking rf wheat!
#fertilizer_rf_w<- fertilizer[,1]
#fertilizer_rf_w<- fertilizer[landuse>0]
fertilizer_rf_maize <- fertilizer[,3] #selection rf maize fertilizer band
fertilizer_lu <- fertilizer_rf_maize*landuse_rf_maize #selecting only rf maize fertilzer from maize LU data
fertilizer_allcrops <- fertilizer*landuse32
fertilizer_allcrops <- rowSums(fertilizer_allcrops[,-c(13:16,29:32)])/rowSums(landuse32[,-c(13:16,29:32)])
fertilizer_allcrops[!is.finite(fertilizer_allcrops)] <- NA
#outputs####
#here you specifiy which outputs and crop-bands should be chosen and compared to:

#masking out 0 cropland
#total yield for all crops, averaged over nyears: gC/m2
yield<- read_data_cft("pft_harvest.pft.bin") #[1:67420, 1:4, 1:4], chr [1:4] "wheat_rf" "maize_rf" "pulses_rf" "rapeseed_rf"["till_nores" "till_res""notill_nores" "notill_res"]
#crop specific yield, averaged over nyears: gC/m2
#yield<- yield[,1,2]-yield[,1,4] #till_res- notill_res for rf wheat
d_yield_rf_maize <- yield[,3,2]-yield[,3,4] #till_res- notill_res for rf maize
r_yield_rf_maize <- (yield[,3,2]/yield[,3,4])-1 #relative till_res- notill_res for rf maize

#yield_lu <- r_yield_rf_maize*landuse_rf_maize
d_yield_lu <- d_yield_rf_maize*landuse_rf_maize
r_yield_lu <- r_yield_rf_maize*landuse_rf_maize

#SOC
soc<- read_data_annual("soilc.bin")
#soc<- soc[,2]-soc[,4]# soc output for till_res
r_soc24 <- soc[,2]/soc[,4]-1 # soc output for till_res
#r_soc24<- r_soc24[landuse>0]
#r_soc24_onlycrops <- r_soc24*landuse_onlycrops
r_soc_lu <- r_soc24*landuse_onlycrops
d_soc24 <- soc[,2]-soc[,4] # soc output for till_res
d_soc_lu <- d_soc24*landuse_onlycrops


#soil NO3
no3<- read_data_annual("soilno3.bin")
#no3<- no3[,2]-no3[,4] #no3 output for till_res
r_no3_24 <- no3[,2]/no3[,4]-1 #no3 output for till_res
#no3<- no3[!is.na(no3)]
#r_no3_24<- d_no3_24[landuse>0]
#r_no3_24_onlycrops <- r_no3_24*landuse_onlycrops 
r_no3_lu <- r_no3_24*landuse_onlycrops
d_no3_24 <- no3[,2]-no3[,4] #no3 output for till_res
d_no3_lu <- d_no3_24*landuse_onlycrops

#NPP
npp <- apply(read.LPJmL.array.sum("mnpp.bin"),MARGIN=c(1,3),mean,na.rm=F)


#################################################
#here no more changes should be made: _lu is the landuse data chosen above and to be specified above.

#histograms_new####

independent<- data.frame(cbind(temperature_lu,precipitation_lu,radiation_lu,fertilizer_lu))
independent_cell <- data.frame(cbind(temperature_allcrops,precipitation_allcrops,radiation_allcrops,fertilizer_allcrops))
r_dependent<- data.frame(cbind(r_yield_lu,r_soc_lu,r_no3_lu))
nr_dependent<- data.frame(cbind(r_yield_lu/npp[,1],r_soc_lu/npp[,1],r_no3_lu/npp[,1]))
names(nr_dependent) <- paste0(names(r_dependent),"_npp_norm")
d_dependent<- data.frame(cbind(d_yield_lu,d_soc_lu,d_no3_lu))
nd_dependent<- data.frame(cbind(d_yield_lu/npp[,1],d_soc_lu/npp[,1],d_no3_lu/npp[,1]))
names(nd_dependent) <- paste0(names(d_dependent),"_npp_norm")
plotplot(yield_lu)
plot.density(r_dependent[1],independent)
plot.density(r_dependent[2],independent_cell)
plot.density(r_dependent[3],independent_cell)
plot.density(d_dependent[1],independent)
plot.density(d_dependent[2],independent_cell)
plot.density(d_dependent[3],independent_cell)
plot.density(nd_dependent[1],independent)
plot.density(nd_dependent[2],independent_cell)
plot.density(nd_dependent[3],independent_cell)
plot.density(nr_dependent[1],independent)
plot.density(nr_dependent[2],independent_cell)
plot.density(nr_dependent[3],independent_cell)
histograms(dependent)

# lm function: needed as argument for lmwrapper function. dependend~dependent

#yield vs:temp, prec,rad,fert
yield_fert <- lm(yield_lu~fertilizer_lu)
summary(yield_fert)$r.squared
yield_prec <- lm(yield_lu~precipitation_lu)
summary(yield_prec)$r.squared
yield_rad <- lm(yield_lu~radiation_lu)
summary(yield_rad)$r.squared
yield_temp <- lm(yield_lu~temperature_lu)
summary(yield_temp)$r.squared


# soc vs: fert, precipitation, temp,yield, radiation
soc_fert <- lm(r_soc_lu~fertilizer_lu)
soc_prec <- lm(r_soc_lu~precipitation_lu)
soc_rad <- lm(r_soc_lu~radiation_lu)
soc_temp <- lm(r_soc_lu~temperature_lu)

# no3 vs: precipitation, temp,fert, radiation
no3_prec <- lm(r_no3_lu~precipitation_lu)
no3_rad <- lm(r_no3_lu~radiation_lu)
no3_temp <- lm(r_no3_lu~temperature_lu)
no3_fert <- lm(r_no3_lu~fertilizer_lu)
outcomes<- c("SW,BP,BG,pR")

#plotting the lm functions (q-q plot, residuals, etc into a pdf and give the results of wrapper lm in legend)
lmplots("yield_fert",yield_fert)
lmplots("yield_prec",yield_prec)
lmplots("yield_rad",yield_rad)
lmplots("yield_temp",yield_temp)

lmplots("soc_fert",soc_fert)
lmplots("soc_prec",soc_prec)
lmplots("soc_rad",soc_rad)
lmplots("soc_temp",soc_temp)

lmplots("no3_fert",no3_fert)
lmplots("no3_prec",no3_prec)
lmplots("no3_rad",no3_rad)
lmplots("no3_temp",no3_temp)

#stepwise regression####
yield_step<- lm(yield_lu~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu)
yield_step<- step(yield_step, direction="backward")
summary(yield_step)$r.squared

soc_step<- lm(r_soc_lu~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu)
soc_step<- step(soc_step, direction="backward")
summary(soc_step)$r.squared

no3_step<- lm(r_no3_lu~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu)
no3_step<- step(no3_step, direction="backward")
summary(no3_step)$r.squared


soc_step<- lm(r_soc_lu~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu+
                fertilizer_lu*fertilizer_lu+precipitation_lu*precipitation_lu+
                radiation_lu*radiation_lu+temperature_lu*temperature_lu+
                fertilizer_lu*precipitation_lu+fertilizer_lu*radiation_lu+fertilizer_lu*temperature_lu+
                precipitation_lu*radiation_lu+precipitation_lu*temperature_lu+
                radiation_lu*temperature_lu)
soc_step2<- step(soc_step, direction="backward")
summary(soc_step2)
no3_step<- lm(r_no3_lu~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu+
                fertilizer_lu*fertilizer_lu+precipitation_lu*precipitation_lu+
                radiation_lu*radiation_lu+temperature_lu*temperature_lu+
                fertilizer_lu*precipitation_lu+fertilizer_lu*radiation_lu+fertilizer_lu*temperature_lu+
                precipitation_lu*radiation_lu+precipitation_lu*temperature_lu+
                radiation_lu*temperature_lu)
summary(no3_step)
no3_step2<- step(no3_step, direction="backward")
summary(no3_step2)

no3_step<- lm(r_no3_lu~fertilizer_lu+precipitation_lu+radiation_lu+temperature_lu+
                fertilizer_lu*fertilizer_lu+precipitation_lu*precipitation_lu+
                radiation_lu*radiation_lu+temperature_lu*temperature_lu+
                fertilizer_lu*precipitation_lu+fertilizer_lu*radiation_lu+fertilizer_lu*temperature_lu+
                precipitation_lu*radiation_lu+precipitation_lu*temperature_lu+
                radiation_lu*temperature_lu)
summary(no3_step)
no3_step2<- step(no3_step, direction="backward")
summary(no3_step2)

