/**************************************************************************************/
/**                                                                                \n**/
/**                  s  o  i  l  p  a  r  .  h                                     \n**/
/**                                                                                \n**/
/**     Soil parameter constants, should be included in data file                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

/* Definition of soil types */

#define COARSE 0
#define MEDIUM 1
#define FINE_NONVERTISOL 2
#define MEDIUM_COARSE 3
#define FINE_COARSE 4
#define FINE_MEDIUM 5
#define FINE_MEDIUM_COARSE 6
#define ORGANIC 7
#define FINE_VERTISOL 8

/* new soil classes */
#define Cl 0
#define SiCl 1
#define SaCl 2
#define ClLo 3
#define SiClLo 4
#define SaClLo 5
#define Lo 6
#define SiLo 7
#define SaLo 8
#define Si 9
#define LoSa 10
#define Sa 11
#define ROCK 12
#define ICE 13
