/**************************************************************************************/
/**                                                                                \n**/
/**               f  r  e  a  d  _  g  r  a  s  s  .  c                            \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"
#include "grass.h"

Bool fread_grass(FILE *file,Pft *pft,Bool swap)
{
  Pftgrass *grass;
  grass=new(Pftgrass);
  pft->data=grass;
  if(grass==NULL)
    return TRUE;
  freadreal((Real *)&grass->turn,sizeof(Grassphys)/sizeof(Real),swap,file);
#ifdef NEW_GRASS
  freadreal(&grass->max_leaf,1,swap,file);
#endif
  freadreal(&grass->excess_carbon,1,swap,file);
  freadreal((Real *)&grass->ind,sizeof(Grassphys)/sizeof(Real),swap,file);
  return freadreal((Real *)&grass->falloc,sizeof(Grassphyspar)/sizeof(Real),swap,file)!=sizeof(Grassphyspar)/sizeof(Real);
 
  /*fpc_grass(pft); */
} /* of 'fread_grass' */
