/**************************************************************************************/
/**                                                                                \n**/
/**     f  s  c  a  n  e  m  i  s  s  i  o  n  f  a  c  t  o  r  .  c              \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/**     Functions reads emission factors from configuration file                   \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

Bool fscanemissionfactor(FILE *file,Tracegas *emissionfactor)
{
  double co2,co,ch4,voc,tpm,nox;
  if(fscanf(file,"%lg %lg %lg %lg %lg %lg",&co2,&co,&ch4,&voc,&tpm,&nox)!=6)
    return TRUE;
  emissionfactor->co2=co2*1e-3;
  emissionfactor->co=co*1e-3;
  emissionfactor->ch4=ch4*1e-3;
  emissionfactor->voc=voc*1e-3;
  emissionfactor->tpm=tpm*1e-3;
  emissionfactor->nox=nox*1e-3;
  return FALSE;
} /* of 'fscanemissionfactor' */
