/**************************************************************************************/
/**                                                                                \n**/
/**           n  e  w  o  u  t  p  u  t  d  a  i  l  y  .  c                       \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

Outputday *newoutputdaily(Outputfile *outputfile,
                          int count)
{
  int i,index;
  Outputday *output;
  output=new(Outputday);
  check(output);
  index=0;
  output->data=newvec(float *,D_PET-D_LAI+1);
  check(output->data);
  for(i=D_LAI;i<=D_PET;i++)
  {
    if(isopen(outputfile,i))
    {
      output->data[index]=newvec(float,count*NDAYYEAR);
      check(output->data[index]);
    }
    else
      output->data[index]=NULL;
    index++;
  }
  output->count=0;
  return output;
} /* of 'newoutputdaily' */
