/**************************************************************************************/
/**                                                                                \n**/
/**                         l  i  n  e  a  r  .  c                                 \n**/
/**                                                                                \n**/
/**     linear interpolation function                                              \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include <stdio.h>
#include <math.h>
#include "types.h"
#include "numeric.h"

Real linear(const Real data[],int nx,Real x)
{
  Real f0,f1;
  int ix;
  ix=(int)x;
  x-=floor(x);
  f0=data[ix];
  f1=(x==1) ? 0 : data[ix+1];
  return f0*(1-x)+f1*x;
} /* of 'linear' */ 
