/**************************************************************************************/
/**                                                                                \n**/
/**                       d  a  t  a  b  a  s  e  .  h                             \n**/
/**                                                                                \n**/
/**     Header file for functions accessing the PIK Oracle database.               \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#ifndef DATABASE_H
#define DATABASE_H

extern void db_connect(const char *,const char *);
extern void db_close(void);
extern void db_getclimate(float [],float [],float [],int,int,int);
extern int db_getncoords(void);
extern int db_getnscenarios(void);
extern void db_printscenarios(void);
extern void db_getscenarios(int [],int);
extern void db_getdescr(char *,int);
extern void db_getcoords(float *,float *,int);
extern void db_getyears(int *,int *,int);

#endif
