/**************************************************************************************/
/**                                                                                \n**/
/**                a  d  d  l  i  t  t  e  r  .  c                                 \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**     Function adds PFT-specific above ground litter pool                        \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

int addlitter(Litter *litter,const Pftpar *pft)
{
  int i;
  litter->ag=(Litteritem *)realloc(litter->ag,
                                   sizeof(Litteritem)*(litter->n+1));
  check(litter->ag);
  litter->agsub = (Litteritem *)realloc(litter->agsub,
                                   sizeof(Litteritem)*(litter->n+1));
  check(litter->agsub);
  litter->bg=(Stocks *)realloc(litter->bg,
                                   sizeof(Stocks)*(litter->n+1));
  check(litter->bg);
  litter->ag[litter->n].pft=pft;
  litter->ag[litter->n].trait.leaf.carbon=0;
  litter->ag[litter->n].trait.leaf.nitrogen=0;
  litter->agsub[litter->n].pft=pft;
  litter->agsub[litter->n].trait.leaf.carbon=0;
  litter->agsub[litter->n].trait.leaf.nitrogen=0;
  for(i=0;i<NFUELCLASS;i++)
  {
    litter->ag[litter->n].trait.wood[i].carbon=litter->ag[litter->n].trait.wood[i].nitrogen=0;
    litter->agsub[litter->n].trait.wood[i].carbon=litter->agsub[litter->n].trait.wood[i].nitrogen=0;
  }
  litter->bg[litter->n].carbon=litter->bg[litter->n].nitrogen=0;
  litter->n++;
  return litter->n;
} /* of 'addlitter' */
