/**************************************************************************************/
/**                                                                                \n**/
/**              f  r  e  a  d  s  o  i  l  c  o  d  e  .  c                       \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/**     Function reads soil code from file                                         \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

Bool freadsoilcode(FILE *file,   /* file pointer */
                   int *soilcode,/* soil code  (0..nsoil) */
                   Bool swap,    /* byte order has to be changed (TRUE/FALSE) */
                   int nsoil     /* Number of soil types */
                  )              /* returns TRUE on error */
{
  int rc;
  Byte soil_8;
  unsigned short soil_16;
  if(nsoil>UCHAR_MAX)
  {
    rc=fread(&soil_16,sizeof(soil_16),1,file);
    *soilcode=(swap) ? swapshort(soil_16) : soil_16;
  }
  else
  {
    rc=fread(&soil_8,sizeof(soil_8),1,file);
    *soilcode=soil_8;
  }
  return (rc!=1);
} /* of 'freadsoilcode */
