/**************************************************************************************/
/**                                                                                \n**/
/**                 g  e  t  s  t  a  t  e  .  c                                   \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

Soilstate getstate(Real *temp)
{
  if (*temp-T_zero>epsilon)
    return ABOVE_T_ZERO;
  else if (*temp-T_zero<-epsilon)
    return BELOW_T_ZERO;
  else
  {
    *temp=T_zero;
    return AT_T_ZERO;
  }
} /* of 'getstate' */

/* CVS information:*/
#ifdef INCLUDE_RCSID             
static char const rcsid[] = 
    "@(#) $Id: get_state.c 120 2008-12-15 14:27:13Z heyder $"; /*survives gcc optimization*/ 
GENERATE_RCSID(rcsid2,
    "@(#) $Id: get_state.c 120 2008-12-15 14:27:13Z heyder $"); /*survives xlc optimization*/
#endif
