/**************************************************************************************/
/**                                                                                \n**/
/**              s  e  e  k  s  o  i  l  c  o  d  .  c                             \n**/
/**                                                                                \n**/
/**     C implementation of LPJmL                                                  \n**/
/**                                                                                \n**/
/**     Function seeks in soil code file to specified position                     \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

int seeksoilcode(FILE *file,  /* file pointer */
                 int pos,     /* position in soil code file */
                 int version, /* version of CLM file */
                 int nsoil    /* number of soil types */
                )             /* return code of fseek */
{
  if(nsoil>UCHAR_MAX)
    return fseek(file,pos*sizeof(short)+headersize(LPJSOIL_HEADER,version),SEEK_SET);
  else
    return fseek(file,pos,SEEK_SET);
} /* of 'seeksoilcode' */
