/**************************************************************************************/
/**                                                                                \n**/
/**        f  p  r  i  n  t  h  e  a  d  e  r  .  c                                \n**/
/**                                                                                \n**/
/**     Printing file header for LPJ related files.                                \n**/
/**                                                                                \n**/
/** (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file    \n**/
/** authors, and contributors see AUTHORS file                                     \n**/
/** This file is part of LPJmL and licensed under GNU AGPL Version 3               \n**/
/** or later. See LICENSE file or go to http://www.gnu.org/licenses/               \n**/
/** Contact: https://github.com/PIK-LPJmL/LPJmL                                    \n**/
/**************************************************************************************/

#include "lpj.h"

void fprintheader(FILE *file,Header header)
{
  fprintf(file,"Order:\t\t");
  switch(header.order)
  {
    case CELLYEAR:
      fprintf(file,"CELLYEAR\n");
      break;
    case YEARCELL:
      fprintf(file,"YEARCELL\n");
      break;
    default:
      fprintf(file,"%d\n",header.order);
  }
  fprintf(file,"First year:\t%6d\n"
         "Last year:\t%6d\n"
         "First cell:\t%6d\n"
         "Number of cells:%6d\n"
         "Number of bands:%6d\n"
         "cellsize:\t%4.2f\n"
         "conversion factor:\t%g\n",
         header.firstyear,header.firstyear+header.nyear-1,
         header.firstcell,header.ncell,header.nbands,header.cellsize,header.scalar);
} /* of 'fprintheader' */
